DMXGetScreenCount(3X) |  | DMXGetScreenCount(3X)

# NAME

DMXGetScreenCount - determine number of back-end screens

# SYNOPSIS

#include <X11/extensions/dmxext.h>
Bool DMXGetScreenCount(Display *dpy,
int *screen_count);

# DESCRIPTION

DMXGetScreenCount() returns the number of back-end screens that a Xdmx(1) server controls. Since a DMX screen usually fills all of the available area on a back-end server, there is usually a one-to-one correspondence between DMX screens and backend servers. However, it is also possible for a DMX screen to cover only part of the available area on a back-end server, and for more than one DMX screens to occupy different parts of the visible area on the same back-end server.

A DMX screen may be managed as a regular X screen in the Xdmx(1) server or may be joined with other DMX screens using Xinerama.

# RETURN VALUE

DMXGetScreenCount() sets screen_count and returns True unless there is a protocol error.

# NOTES

If Xinerama is active, only one logical screen will be available to clients of the Xdmx(1) server. However, this call will accurately reflect the number of composite back-end screens that the Xdmx(1) server is using.

# SEE ALSO

DMXGetScreenAttribtues(3X), DMXChangeScreenAttributes(3X), DMX(3X), Xdmx(1)

XFree86 | 4.5.0